Index: /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/LBC/lbcnfd.F90
===================================================================
--- /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/LBC/lbcnfd.F90	(revision 4014)
+++ /branches/2013/dev_r3940_CNRS4_IOCRS/NEMOGCM/NEMO/OPA_SRC/LBC/lbcnfd.F90	(revision 4015)
@@ -71,4 +71,5 @@
                   pt3d(ji,ijpj,jk) = psgn * pt3d(ijt,ijpj-2,jk)
                END DO
+               pt3d(1,ijpj,jk) = psgn * pt3d(3,ijpj-2,jk)
                DO ji = jpiglo/2+1, jpiglo
                   ijt = jpiglo-ji+2
@@ -80,4 +81,6 @@
                   pt3d(ji,ijpj,jk) = psgn * pt3d(iju,ijpj-2,jk)
                END DO
+               pt3d(   1  ,ijpj,jk) = psgn * pt3d(    2   ,ijpj-2,jk)
+               pt3d(jpiglo,ijpj,jk) = psgn * pt3d(jpiglo-1,ijpj-2,jk) 
                DO ji = jpiglo/2, jpiglo-1
                   iju = jpiglo-ji+1
@@ -90,4 +93,5 @@
                   pt3d(ji,ijpj  ,jk) = psgn * pt3d(ijt,ijpj-3,jk)
                END DO
+               pt3d(1,ijpj,jk) = psgn * pt3d(3,ijpj-3,jk) 
             CASE ( 'F' )                               ! F-point
                DO ji = 1, jpiglo-1
@@ -96,4 +100,6 @@
                   pt3d(ji,ijpj  ,jk) = psgn * pt3d(iju,ijpj-3,jk)
                END DO
+               pt3d(   1  ,ijpj,jk) = psgn * pt3d(    2   ,ijpj-3,jk)
+               pt3d(jpiglo,ijpj,jk) = psgn * pt3d(jpiglo-1,ijpj-3,jk) 
             END SELECT
             !
@@ -111,4 +117,5 @@
                   pt3d(ji,ijpj,jk) = psgn * pt3d(iju,ijpj-1,jk)
                END DO
+               pt3d(jpiglo,ijpj,jk) = psgn * pt3d(1,ijpj-1,jk)
             CASE ( 'V' )                               ! V-point
                DO ji = 1, jpiglo
@@ -125,4 +132,5 @@
                   pt3d(ji,ijpj  ,jk) = psgn * pt3d(iju,ijpj-2,jk)
                END DO
+               pt3d(jpiglo,ijpj,jk) = psgn * pt3d(1,ijpj-2,jk)
                DO ji = jpiglo/2+1, jpiglo-1
                   iju = jpiglo-ji
@@ -199,4 +207,5 @@
                END DO
             END DO
+            pt2d(1,ijpj)   = psgn * pt2d(3,ijpj-2)
             DO ji = jpiglo/2+1, jpiglo
                ijt=jpiglo-ji+2
@@ -210,4 +219,7 @@
                END DO
             END DO
+            pt2d(   1  ,ijpj  ) = psgn * pt2d(    2   ,ijpj-2)
+            pt2d(jpiglo,ijpj  ) = psgn * pt2d(jpiglo-1,ijpj-2)
+            pt2d(1     ,ijpj-1) = psgn * pt2d(jpiglo  ,ijpj-1)   
             DO ji = jpiglo/2, jpiglo-1
                iju = jpiglo-ji+1
@@ -221,4 +233,5 @@
                END DO
             END DO
+            pt2d( 1 ,ijpj)   = psgn * pt2d( 3 ,ijpj-3) 
          CASE ( 'F' )                                     ! F-point
             DO jl = -1, ipr2dj
@@ -228,4 +241,8 @@
                END DO
             END DO
+            pt2d(   1  ,ijpj)   = psgn * pt2d(    2   ,ijpj-3)
+            pt2d(jpiglo,ijpj)   = psgn * pt2d(jpiglo-1,ijpj-3)
+            pt2d(jpiglo,ijpj-1) = psgn * pt2d(jpiglo-1,ijpj-2)      
+            pt2d(   1  ,ijpj-1) = psgn * pt2d(    2   ,ijpj-2)      
          CASE ( 'I' )                                     ! ice U-V point (I-point)
             DO jl = 0, ipr2dj
@@ -271,4 +288,5 @@
                END DO
             END DO
+            pt2d(jpiglo,ijpj) = psgn * pt2d(1,ijpj-1)
          CASE ( 'V' )                                     ! V-point
             DO jl = 0, ipr2dj
@@ -289,4 +307,5 @@
                END DO
             END DO
+            pt2d(jpiglo,ijpj) = psgn * pt2d(1,ijpj-2)
             DO ji = jpiglo/2+1, jpiglo-1
                iju = jpiglo-ji
